Foxit PDF SDK

Public Member Functions | List of all members
foxit.pdf.actions.EmbeddedGotoTarget Class Reference
Inheritance diagram for foxit.pdf.actions.EmbeddedGotoTarget:

## Public Member Functions
| EmbeddedGotoTarget (PDFDoc document)
| Constructor, with PDF document. More...
| EmbeddedGotoTarget (PDFDoc document, PDFDictionary target_object)
| Constructor, with PDF dictionary. More...
| EmbeddedGotoTarget (EmbeddedGotoTarget action)
| Constructor, with another embedded goto target object. More...
string | GetAttachedFileName ()
| Get the embedded file name, which is used in "EmbeddedFile" name tree of current target file. More...
PDFDictionary | GetDict ()
| Get PDF dictionary of current object. More...
int | GetFileAttachmentAnnotIndex ()
| Get the annotation index which specifies a file attachment annotation in a specified page. More...
int | GetPageIndex ()
| Get the page index which specifies the page that contains the target file attachment annotation. More...
string | GetRelationship ()
| Get relationship between current target object and the object that current target object belongs to. More...
EmbeddedGotoTarget | GetTarget ()
| Get the target which specifies additional path information to the target document. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...
void | SetAttachedFileName (string embed_file_name)
| Set the embedded file name, which is used in "EmbeddedFile" name tree of current target file. More...
void | SetFileAttachmentAnnotIndex (int annot_index)
| Set the annotation index which specifies a file attachment annotation in a specified page. More...
void | SetPageIndex (int page_index)
| Set the page index which specifies the page that contains the target file attachment annotation. More...
void | SetRelationship (string relationship)
| Set relationship between current target object and the object that current target object belongs to. More...
void | SetTarget (EmbeddedGotoTarget target)
| Set the target which specifies additional path information to the target document. More...

## Detailed Description

The target of an embedded go-to action is the document in which the destination lives.

See also
  EmbeddedGotoAction

## Constructor & Destructor Documentation

## ◆ EmbeddedGotoTarget() [1/3]

foxit.pdf.actions.EmbeddedGotoTarget.EmbeddedGotoTarget | ( | PDFDoc | document | ) |
| inline

Constructor, with PDF document.

This constructor is to construct a new embedded goto target object (without any data).

Parameters

  [in] | document | A valid PDF document object.

## ◆ EmbeddedGotoTarget() [2/3]

foxit.pdf.actions.EmbeddedGotoTarget.EmbeddedGotoTarget | ( | PDFDoc | document,
|  | PDFDictionary | target_object
| ) |  |
| inline

Constructor, with PDF dictionary.

Parameters

  [in] | document | A valid PDF document object.
  [in] | target_object | A PDF dictionary that represents the embedded goto target data.

## ◆ EmbeddedGotoTarget() [3/3]

foxit.pdf.actions.EmbeddedGotoTarget.EmbeddedGotoTarget | ( | EmbeddedGotoTarget | action | ) |
| inline

Constructor, with another embedded goto target object.

Parameters

  [in] | action | Another embedded goto target object.

## Member Function Documentation

## ◆ GetAttachedFileName()

string foxit.pdf.actions.EmbeddedGotoTarget.GetAttachedFileName | ( |  | ) |
| inline

Get the embedded file name, which is used in "EmbeddedFile" name tree of current target file.

This is useful only when relationship is "C". If this property is a valid string, that means the target file is an embedded file defined in "EmbeddedFiles" name tree.

Returns
  Embedded file name.

## ◆ GetDict()

PDFDictionary foxit.pdf.actions.EmbeddedGotoTarget.GetDict | ( |  | ) |
| inline

Get PDF dictionary of current object.

Returns
  The PDF dictionary.If there is any error, this function will return null.

## ◆ GetFileAttachmentAnnotIndex()

int foxit.pdf.actions.EmbeddedGotoTarget.GetFileAttachmentAnnotIndex | ( |  | ) |
| inline

Get the annotation index which specifies a file attachment annotation in a specified page.

This is useful only when relationship is "C". If this property exists, that means the target file is related to a file attachment annotation, and this property just specifies the file attachment annotation in the specified page. Function EmbeddedGotoTarget.GetPageIndex can be used to get the page index specifying the page that contains the target file attachment annotation.

Returns
  Annotation index which specifies a file attachment annotation. Valid value would starts from 0. -1 means no such property.

## ◆ GetPageIndex()

int foxit.pdf.actions.EmbeddedGotoTarget.GetPageIndex | ( |  | ) |
| inline

Get the page index which specifies the page that contains the target file attachment annotation.

This is useful only when relationship is "C". If this property exists, that means the target file is related to a file attachment annotation. And this property just specifies the page which contains the file attachment annotation. Function EmbeddedGotoTarget.GetFileAttachmentAnnotIndex can be used to get the annotation index of the target file attachment annotation.

Returns
  Page index. Valid value would starts from 0. -1 means no such property

## ◆ GetRelationship()

string foxit.pdf.actions.EmbeddedGotoTarget.GetRelationship | ( |  | ) |
| inline

Get relationship between current target object and the object that current target object belongs to.

The relationship is the relationship between current target object and the object that current target object belongs to. Currently, the relationship could be one of following:

- "P": current target object is the parent of the object that current target object belongs to.

- "C": current target object is the child of the object that current target object belongs to.

Returns
  Relationship string.

## ◆ GetTarget()

EmbeddedGotoTarget foxit.pdf.actions.EmbeddedGotoTarget.GetTarget | ( |  | ) |
| inline

Get the target which specifies additional path information to the target document.

Returns
  An embedded goto target object. If the return value of function EmbeddedGotoTarget.IsEmpty for the returned embedded goto target object is true, that means current target object represents the final target file.

## ◆ IsEmpty()

bool foxit.pdf.actions.EmbeddedGotoTarget.IsEmpty | ( |  | ) |
| inline

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ SetAttachedFileName()

void foxit.pdf.actions.EmbeddedGotoTarget.SetAttachedFileName | ( | string | embed_file_name | ) |
| inline

Set the embedded file name, which is used in "EmbeddedFile" name tree of current target file.

This is useful only when relationship is "C". If this property exists, that means the target file is an embedded file defined in "EmbeddedFiles" name tree.

Parameters

  [in] | embed_file_name | Name for embedded file.

Returns
  None.

## ◆ SetFileAttachmentAnnotIndex()

void foxit.pdf.actions.EmbeddedGotoTarget.SetFileAttachmentAnnotIndex | ( | int | annot_index | ) |
| inline

Set the annotation index which specifies a file attachment annotation in a specified page.

This is useful only when relationship is "C". If this property exists, that means the target file is related to a file attachment annotation, and this property just specifies the file attachment annotation in the specified page. Function EmbeddedGotoTarget.SetPageIndex can be used to set the page index specifying the page that contains the target file attachment annotation.

Parameters

  [in] | annot_index | Annotation index to specify the file attachment annotation. Valid range: from 0 to (count-1). count means the annotation count in that specified page.

Returns
  None.

## ◆ SetPageIndex()

void foxit.pdf.actions.EmbeddedGotoTarget.SetPageIndex | ( | int | page_index | ) |
| inline

Set the page index which specifies the page that contains the target file attachment annotation.

This is useful only when relationship is "C". If this property exists, that means the target file is related to a file attachment annotation, and this property just specifies the page which contains the file attachment annotation. Function EmbeddedGotoTarget.SetFileAttachmentAnnotIndex can be used to set the annotation index of the target file attachment annotation.

Parameters

  [in] | page_index | Page index to specify a page which contains the target file attachment annotation. Valid range: from 0 to (count-1). count means the page count of current target PDF file.

Returns
  None.

## ◆ SetRelationship()

void foxit.pdf.actions.EmbeddedGotoTarget.SetRelationship | ( | string | relationship | ) |
| inline

Set relationship between current target object and the object that current target object belongs to.

The relationship is the relationship between current target object and the object that current target object belongs to. Currently, the relationship could be one of following:

- "P": current target object is the parent of the object that current target object belongs to.

- "C": current target object is the child of the object that current target object belongs to.

Parameters

  [in] | relationship | It should be one of following strings:"P", "C".

Returns
  None.

## ◆ SetTarget()

void foxit.pdf.actions.EmbeddedGotoTarget.SetTarget | ( | EmbeddedGotoTarget | target | ) |
| inline

Set the target which specifies additional path information to the target document.

Parameters

  [in] | target | An embedded goto target object. If the return value of function EmbeddedGotoTarget.IsEmpty for the returned embedded goto target object is true, that means current target object represents the final target file.

Returns
  None.